Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.form.event
Class CheckboxListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.event.ComponentListenerAdapter
          com.gwtext.client.widgets.event.BoxComponentListenerAdapter
              com.gwtext.client.widgets.form.event.FieldListenerAdapter
                  com.gwtext.client.widgets.form.event.CheckboxListenerAdapter

All Implemented Interfaces:
  BoxComponentListener, ComponentListener, CheckboxListener, FieldListener

    public class CheckboxListenerAdapter

extends FieldListenerAdapter
implements CheckboxListener

Constructor Summary
`CheckboxListenerAdapter()`

Method Summary
`void` | `onCheck(Checkbox field, boolean checked)` Fires when the checkbox is checked or unchecked.

Methods inherited from class com.gwtext.client.widgets.form.event.FieldListenerAdapter
`onBlur, onChange, onChange, onFocus, onInvalid, onSpecialKey, onValid`

Methods inherited from class com.gwtext.client.widgets.event.BoxComponentListenerAdapter
`onMove, onResize`

Methods inherited from class com.gwtext.client.widgets.event.ComponentListenerAdapter
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.gwtext.client.widgets.form.event.FieldListener
`onBlur, onChange, onFocus, onInvalid, onSpecialKey, onValid`

Methods inherited from interface com.gwtext.client.widgets.event.BoxComponentListener
`onMove, onResize`

Methods inherited from interface com.gwtext.client.widgets.event.ComponentListener
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Constructor Detail

### CheckboxListenerAdapter

    public CheckboxListenerAdapter()

Method Detail

### onCheck

    public void onCheck(Checkbox field,
                        boolean checked)

  Description copied from interface: `CheckboxListener`
  Fires when the checkbox is checked or unchecked.

  Specified by:
    `onCheck` in interface `CheckboxListener`
  Parameters:
    `field` - this field
    `checked` - the new checked value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD